Package org.eclipse.lemminx.extensions.relaxng.xml.validator

## Class RelaxNGErrorHandler

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.xml.validator.RelaxNGErrorHandler

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLErrorHandler`

    public class RelaxNGErrorHandler
    extends Object
    implements org.apache.xerces.xni.parser.XMLErrorHandler

`XMLErrorHandler` Xerces implementation for RelaxNG.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`RelaxNGErrorHandler​(org.apache.xerces.impl.XMLErrorReporter report)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error​(String domain, String key, org.apache.xerces.xni.parser.XMLParseException exception)`
`void` `fatalError​(String domain, String key, org.apache.xerces.xni.parser.XMLParseException exception)`
`void` `warning​(String domain, String key, org.apache.xerces.xni.parser.XMLParseException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelaxNGErrorHandler

    public RelaxNGErrorHandler​(org.apache.xerces.impl.XMLErrorReporter report)

### Method Detail

#### warning

    public void warning​(String domain,
                        String key,
                        org.apache.xerces.xni.parser.XMLParseException exception)
                 throws org.apache.xerces.xni.XNIException

Specified by:
  `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### fatalError

    public void fatalError​(String domain,
                           String key,
                           org.apache.xerces.xni.parser.XMLParseException exception)
                    throws org.apache.xerces.xni.XNIException

Specified by:
  `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### error

    public void error​(String domain,
                      String key,
                      org.apache.xerces.xni.parser.XMLParseException exception)
               throws org.apache.xerces.xni.XNIException

Specified by:
  `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
Throws:
  `org.apache.xerces.xni.XNIException`